I cant install libtg_owt-git

[pal@pal-pc telegram-desktop-git]$ makepkg -si
==> Making package: telegram-desktop-git 3.3.1.r4.gffe420859-1 (Tue 19 Jul 2022 22:58:11 EEST)
==> Checking runtime dependencies…
==> Checking buildtime dependencies…
==> Installing missing dependencies…
error: target not found: libtg_owt-git
==> ERROR: ‘pacman’ failed to install missing dependencies.
==> Missing dependencies:
→ libtg_owt-git
==> ERROR: Could not resolve all dependencies.


sudo pacman -S libtg_owt-git
error: target not found: libtg_owt-git

Use yay

yay libtg_owt
or
yay libtg_owt-git

/1) Parsing SRCINFO: libtg_owt-git
[sudo] password for pal:
resolving dependencies…
looking for conflicting packages…

Package (2) New Version Net Change Download Size

extra/protobuf 21.2-1 8.90 MiB 2.01 MiB
extra/yasm 1.3.0-5 4.33 MiB 0.78 MiB

Total Download Size: 2.78 MiB
Total Installed Size: 13.23 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages…
yasm-1.3.0-5-x86_64 794.8 KiB 407 KiB/s 00:02 [--------------------------------] 100%
protobuf-21.2-1-x86_64 2.0 MiB 627 KiB/s 00:03 [--------------------------------] 100%
Total (2/2) 2.8 MiB 851 KiB/s 00:03 [--------------------------------] 100%
(2/2) checking keys in keyring [--------------------------------] 100%
(2/2) checking package integrity [--------------------------------] 100%
(2/2) loading package files [--------------------------------] 100%
(2/2) checking for file conflicts [--------------------------------] 100%
:: Processing package changes…
(1/2) installing protobuf [--------------------------------] 100%
(2/2) installing yasm [--------------------------------] 100%
:: Running post-transaction hooks…
(1/1) Arming ConditionNeedsUpdate…
==> Making package: libtg_owt-git 0.git.r325.10d5f4bf-1 (Tue 19 Jul 2022 23:21:02 EEST)
==> Retrieving sources…
→ Cloning tg_owt git repo…
Cloning into bare repository ‘/home/pal/.cache/yay/libtg_owt-git/tg_owt’…
remote: Enumerating objects: 22265, done.
remote: Counting objects: 100% (49/49), done.
remote: Compressing objects: 100% (43/43), done.
remote: Total 22265 (delta 22), reused 9 (delta 6), pack-reused 22216
Receiving objects: 100% (22265/22265), 27.15 MiB | 293.00 KiB/s, done.
Resolving deltas: 100% (12182/12182), done.
→ Cloning libvpx git repo…
Cloning into bare repository ‘/home/pal/.cache/yay/libtg_owt-git/libvpx’…
remote: Finding sources: 100% (506215/506215)
^Cceiving objects: 92% (617779/668647), 364.51 MiB | 362.00 KiB/s ??
I aborte… Wy too big size?

install the one without git in the name, since the git one needs to be compiled on your computer and it was downloading all the dependencies to do so

yay libtg_owt
2 aur/libtg_owt-git 0.git.r325.10d5f4bf-1 (+0 0.00)
WebRTC library - static linked, git version
1 community/libtg_owt 0.git14.10d5f4b-1 (7.9 MiB 51.4 MiB)
WebRTC library
==> Packages to install (eg: 1 2 3, 1-3 or ^4)
==> 1
[sudo] password for pal:
resolving dependencies…
looking for conflicting packages…

Package (1) New Version Net Change Download Size

community/libtg_owt 0.git14.10d5f4b-1 51.44 MiB 7.91 MiB

Total Download Size: 7.91 MiB
Total Installed Size: 51.44 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages…
libtg_owt-0.git14.10d5f4b-1-x86_64 7.9 MiB 1629 KiB/s 00:05 [-----------------------------------------------------------] 100%
(1/1) checking keys in keyring [-----------------------------------------------------------] 100%
(1/1) checking package integrity [-----------------------------------------------------------] 100%
(1/1) loading package files [-----------------------------------------------------------] 100%
(1/1) checking for file conflicts [-----------------------------------------------------------] 100%
:: Processing package changes…
(1/1) installing libtg_owt [-----------------------------------------------------------] 100%
:: Running post-transaction hooks…
(1/1) Arming ConditionNeedsUpdate…
[pal@pal-pc telegram-desktop-git]$ makepkg -si
==> Making package: telegram-desktop-git 3.3.1.r4.gffe420859-1 (Tue 19 Jul 2022 23:42:44 EEST)
==> Checking runtime dependencies…
==> Checking buildtime dependencies…
==> Installing missing dependencies…
error: target not found: libtg_owt-git
==> ERROR: ‘pacman’ failed to install missing dependencies.
==> Missing dependencies:
→ libtg_owt-git
==> ERROR: Could not resolve all dependencies.

Do you need that specific version of old telegram? There is telegram-desktop-bin
just install it with yay

yay telegram-desktop-bin
or
yay telegram-desktop
1 Like

Thanks `yay telegram-desktop-bin work. But yay telegram-desktop dont work (pakkage missing in mirrors)

i have installed telegram-desktop a few days ago. maybe updating the mirror will help.

2 Likes

Looks like this was the actual issue you were having, and this is what you should have asked about in the first place.

Another example of an XY Problem .

2 Likes

XY Problem :slightly_smiling_face: :upside_down_face:

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.